.seed-pull-to-refresh__root {
    --ptr-size: 44px;
    --ptr-transition-duration: var(--seed-duration-d6);
    height: 100%;
}
.seed-pull-to-refresh__indicator {
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateY(min(calc(var(--ptr-displacement, 0) - var(--ptr-size)), 0px));
    transition: transform var(--seed-duration-d6);
}
.seed-pull-to-refresh__indicator[data-ptr-dragging] {
    transition: none;
}.seed-app-bar__root {
    z-index: var(--z-index-app-bar);
    top: 0;
    position: absolute;
    box-sizing: border-box;
    width: 100%;
    display: flex;
    align-items: flex-end;
}
.seed-app-bar__root:before {
    content: "";
    position: absolute;
    pointer-events: none;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: -1;
}
.seed-app-bar__left {
    display: flex;
    align-items: center;
    height: 100%;
}
.seed-app-bar__right {
    display: flex;
    align-items: center;
    height: 100%;
    margin-left: auto;
}
.seed-app-bar__iconButton {
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    background: none;
    font-family: inherit;
    padding: 0;
    border-radius: var(--seed-radius-r1);
    transition: outline-color var(--seed-duration-d3) var(--seed-timing-function-easing);
    outline: var(--seed-dimension-x0_5) solid transparent;
    outline-offset: calc(var(--seed-dimension-x0_5) * -1);
}
.seed-app-bar__iconButton:is(:focus-visible, [data-focus-visible]) {
    outline: var(--seed-dimension-x0_5) solid var(--seed-color-stroke-focus-ring);
    outline-offset: calc(var(--seed-dimension-x0_5) * -1);
}
.seed-app-bar__icon {
    display: inline-block;
    flex-shrink: 0;
}
.seed-app-bar__root--theme_cupertino {
    height: calc(44px + var(--seed-safe-area-top));
    padding-left: var(--seed-dimension-x4);
    padding-right: var(--seed-dimension-x4);
    padding-top: var(--seed-safe-area-top);
}
.seed-app-bar__iconButton--theme_cupertino {
    width: 44px;
    height: 44px;
}
.seed-app-bar__iconButton--theme_cupertino:first-child {
    margin-left: calc(-1 * (44px - 24px) / 2);
}
.seed-app-bar__iconButton--theme_cupertino:last-child {
    margin-right: calc(-1 * (44px - 24px) / 2);
}
.seed-app-bar__icon--theme_cupertino {
    width: var(--seed-icon-size, 24px);
    height: var(--seed-icon-size, 24px);
}
.seed-app-bar__root--theme_android {
    height: calc(56px + var(--seed-safe-area-top));
    padding-left: var(--seed-dimension-x4);
    padding-right: var(--seed-dimension-x4);
    padding-top: var(--seed-safe-area-top);
}
.seed-app-bar__iconButton--theme_android {
    width: 44px;
    height: 44px;
}
.seed-app-bar__iconButton--theme_android:first-child {
    margin-left: calc(-1 * (44px - 24px) / 2);
}
.seed-app-bar__iconButton--theme_android:last-child {
    margin-right: calc(-1 * (44px - 24px) / 2);
}
.seed-app-bar__icon--theme_android {
    width: var(--seed-icon-size, 24px);
    height: var(--seed-icon-size, 24px);
}
.seed-app-bar__left--theme_android {
    padding-right: 16px;
}
[data-global-transition-state=enter-active] .seed-app-bar__root--transitionStyle_slideFromRightIOS[data-activity-is-top]:before {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    --seed-enter-translate-x: 100%;
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: 1;
    --seed-enter-scale: 1;
    transform: translate3d(0, 0, 0);
}
[data-global-transition-state=exit-active] .seed-app-bar__root--transitionStyle_slideFromRightIOS[data-activity-is-top]:before {
    transform: translate3d(var(--swipe-back-displacement, 0), 0, 0);
    animation: seed-exit;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: 100%;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 1;
    --seed-exit-scale: 1;
}
[data-global-transition-state=enter-done] .seed-app-bar__root--transitionStyle_slideFromRightIOS[data-activity-is-top]:before {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    --seed-enter-translate-x: var(--swipe-back-displacement, 0);
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: 1;
    --seed-enter-scale: 1;
    transform: translate3d(0, 0, 0);
}
[data-swipe-back-state=swiping] .seed-app-bar__root--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#):before {
    animation: none;
    transform: translate3d(var(--swipe-back-displacement, 0), 0, 0);
}
[data-swipe-back-state=canceling] .seed-app-bar__root--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#):before {
    animation: none !important;
    transform: translate3d(0, 0, 0);
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99);
}
[data-swipe-back-state=completing] .seed-app-bar__root--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#):before {
    animation: none !important;
    transform: translate3d(100%, 0, 0);
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99);
}
[data-global-transition-state=enter-active] .seed-app-bar__icon--transitionStyle_slideFromRightIOS[data-activity-is-top] {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    --seed-enter-translate-x: 0;
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: 0;
    --seed-enter-scale: 1;
    opacity: 1;
}
[data-global-transition-state=exit-active] .seed-app-bar__icon--transitionStyle_slideFromRightIOS[data-activity-is-top] {
    transform: translate3d(calc(var(--swipe-back-displacement, 0) * 0.15), 0, 0);
    opacity: calc(1 - var(--swipe-back-displacement-ratio, 0) * 3);
    animation: seed-exit;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: 0;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 1;
}
[data-global-transition-state=enter-done] .seed-app-bar__icon--transitionStyle_slideFromRightIOS[data-activity-is-top] {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    --seed-enter-translate-x: calc(var(--swipe-back-displacement, 0) * 0.15);
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: calc(1 - var(--swipe-back-displacement-ratio, 0) * 3);
    --seed-enter-scale: 1;
    opacity: 1;
}
[data-swipe-back-state=swiping] .seed-app-bar__icon--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#) {
    animation: none;
    transform: translate3d(calc(var(--swipe-back-displacement, 0) * 0.15), 0, 0);
    opacity: calc(1 - var(--swipe-back-displacement-ratio, 0) * 3);
}
[data-swipe-back-state=canceling] .seed-app-bar__icon--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#) {
    animation: none !important;
    opacity: 1;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99);
}
[data-swipe-back-state=completing] .seed-app-bar__icon--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#) {
    animation: none !important;
    opacity: 0;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99);
}
[data-global-transition-state=enter-active][data-top-activity-type="full-screen"] .seed-app-bar__icon--transitionStyle_slideFromRightIOS:not([data-activity-is-top]) {
    opacity: 1;
    animation: seed-exit;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: 0;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 1;
}
[data-global-transition-state=exit-active][data-top-activity-type="full-screen"] .seed-app-bar__icon--transitionStyle_slideFromRightIOS:not([data-activity-is-top]) {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    --seed-enter-translate-x: 0;
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: calc(var(--swipe-back-displacement-ratio, 0));
    --seed-enter-scale: 1;
    opacity: 1;
}
[data-global-transition-state=enter-done][data-top-activity-type="full-screen"] .seed-app-bar__icon--transitionStyle_slideFromRightIOS:not([data-activity-is-top]) {
    opacity: calc(var(--swipe-back-displacement-ratio, 0));
    animation: seed-exit;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: 0;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 1;
}
[data-swipe-back-state=swiping] .seed-app-bar__icon--transitionStyle_slideFromRightIOS:not([data-activity-is-top]):not(#\#) {
    animation: none;
    opacity: calc(var(--swipe-back-displacement-ratio, 0));
}
[data-swipe-back-state=canceling] .seed-app-bar__icon--transitionStyle_slideFromRightIOS:not([data-activity-is-top]):not(#\#) {
    animation: none !important;
    opacity: 0;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99);
}
[data-swipe-back-state=completing] .seed-app-bar__icon--transitionStyle_slideFromRightIOS:not([data-activity-is-top]):not(#\#) {
    animation: none !important;
    opacity: 1;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99);
}
[data-global-transition-state=enter-active] .seed-app-bar__custom--transitionStyle_slideFromRightIOS[data-activity-is-top] {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    --seed-enter-translate-x: 0;
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: 0;
    --seed-enter-scale: 1;
    opacity: 1;
}
[data-global-transition-state=exit-active] .seed-app-bar__custom--transitionStyle_slideFromRightIOS[data-activity-is-top] {
    transform: translate3d(calc(var(--swipe-back-displacement, 0) * 0.15), 0, 0);
    opacity: calc(1 - var(--swipe-back-displacement-ratio, 0) * 3);
    animation: seed-exit;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: 0;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 1;
}
[data-global-transition-state=enter-done] .seed-app-bar__custom--transitionStyle_slideFromRightIOS[data-activity-is-top] {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    --seed-enter-translate-x: calc(var(--swipe-back-displacement, 0) * 0.15);
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: calc(1 - var(--swipe-back-displacement-ratio, 0) * 3);
    --seed-enter-scale: 1;
    opacity: 1;
}
[data-swipe-back-state=swiping] .seed-app-bar__custom--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#) {
    animation: none;
    transform: translate3d(calc(var(--swipe-back-displacement, 0) * 0.15), 0, 0);
    opacity: calc(1 - var(--swipe-back-displacement-ratio, 0) * 3);
}
[data-swipe-back-state=canceling] .seed-app-bar__custom--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#) {
    animation: none !important;
    opacity: 1;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99);
}
[data-swipe-back-state=completing] .seed-app-bar__custom--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#) {
    animation: none !important;
    opacity: 0;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99);
}
[data-global-transition-state=enter-active][data-top-activity-type="full-screen"] .seed-app-bar__custom--transitionStyle_slideFromRightIOS:not([data-activity-is-top]) {
    opacity: 1;
    animation: seed-exit;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: 0;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 1;
}
[data-global-transition-state=exit-active][data-top-activity-type="full-screen"] .seed-app-bar__custom--transitionStyle_slideFromRightIOS:not([data-activity-is-top]) {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    --seed-enter-translate-x: 0;
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: calc(var(--swipe-back-displacement-ratio, 0));
    --seed-enter-scale: 1;
    opacity: 1;
}
[data-global-transition-state=enter-done][data-top-activity-type="full-screen"] .seed-app-bar__custom--transitionStyle_slideFromRightIOS:not([data-activity-is-top]) {
    opacity: calc(var(--swipe-back-displacement-ratio, 0));
    animation: seed-exit;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: 0;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 1;
}
[data-swipe-back-state=swiping] .seed-app-bar__custom--transitionStyle_slideFromRightIOS:not([data-activity-is-top]):not(#\#) {
    animation: none;
    opacity: calc(var(--swipe-back-displacement-ratio, 0));
}
[data-swipe-back-state=canceling] .seed-app-bar__custom--transitionStyle_slideFromRightIOS:not([data-activity-is-top]):not(#\#) {
    animation: none !important;
    opacity: 0;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99);
}
[data-swipe-back-state=completing] .seed-app-bar__custom--transitionStyle_slideFromRightIOS:not([data-activity-is-top]):not(#\#) {
    animation: none !important;
    opacity: 1;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99);
}
[data-global-transition-state=enter-active] .seed-app-bar__root--transitionStyle_fadeFromBottomAndroid[data-activity-is-top] {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.23, 0.1, 0.32, 1);
    animation-duration: 300ms;
    --seed-enter-translate-x: 0;
    --seed-enter-translate-y: 8vh;
    --seed-enter-opacity: 0;
    --seed-enter-scale: 1;
    transform: translate3d(0, 0, 0);
    opacity: 1;
}
[data-global-transition-state=exit-active] .seed-app-bar__root--transitionStyle_fadeFromBottomAndroid[data-activity-is-top] {
    transform: translate3d(0, 0, 0);
    opacity: 1;
    animation: seed-exit;
    animation-timing-function: linear;
    animation-duration: 150ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: 0;
    --seed-exit-translate-y: 8vh;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 1;
}
[data-global-transition-state=enter-active] .seed-app-bar__root--transitionStyle_fadeIn[data-activity-is-top] {
    animation: seed-enter;
    animation-timing-function: ease-out;
    animation-duration: 300ms;
    --seed-enter-translate-x: 0;
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: 0;
    --seed-enter-scale: 1;
    opacity: 1;
}
[data-global-transition-state=exit-active] .seed-app-bar__root--transitionStyle_fadeIn[data-activity-is-top] {
    opacity: 1;
    animation: seed-exit;
    animation-timing-function: ease-in;
    animation-duration: 150ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: 0;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 1;
}
.seed-app-bar__root--tone_layer:before {
    background: var(--seed-box-background, var(--seed-color-bg-layer-default));
}
.seed-app-bar__icon--tone_layer {
    color: var(--seed-icon-color, var(--seed-color-fg-neutral));
}
.seed-app-bar__root--tone_transparent {
    background-color: #00000000;
}
.seed-app-bar__icon--tone_transparent {
    color: var(--seed-icon-color, var(--seed-color-palette-static-white));
}
.seed-app-bar__root--divider_true:before {
    box-shadow: inset 0px calc(-1 * 1px) 0 var(--seed-color-stroke-neutral-subtle);
}.seed-app-bar-main__root {
    flex: 1
}
.seed-app-bar-main__title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis
}
.seed-app-bar-main__subtitle {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis
}
.seed-app-bar-main__title--layout_titleOnly {
    font-size: var(--seed-font-size-t6-static);
    font-weight: var(--seed-font-weight-bold);
    line-height: var(--seed-line-height-t6-static)
}
.seed-app-bar-main__title--layout_withSubtitle {
    font-size: var(--seed-font-size-t5-static);
    font-weight: var(--seed-font-weight-bold);
    line-height: var(--seed-line-height-t5-static)
}
.seed-app-bar-main__subtitle--layout_withSubtitle {
    font-size: var(--seed-font-size-t2-static);
    font-weight: var(--seed-font-weight-regular);
    line-height: var(--seed-line-height-t2-static)
}
.seed-app-bar-main__root--theme_cupertino {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    top: var(--seed-safe-area-top);
    bottom: 0;
    left: 0;
    right: 0;
    padding-left: var(--centered-title-padding-x, 0);
    padding-right: var(--centered-title-padding-x, 0);
    pointer-events: none
}
.seed-app-bar-main__root--theme_android {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    width: 100%;
    min-width: 0;
    height: 100%
}
[data-global-transition-state=enter-active] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS[data-activity-is-top] {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    --seed-enter-translate-x: 25%;
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: 0;
    --seed-enter-scale: 1;
    transform: translate3d(0, 0, 0);
    opacity: 1
}
[data-global-transition-state=exit-active] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS[data-activity-is-top] {
    transform: translate3d(calc(var(--swipe-back-displacement, 0) * 0.15), 0, 0);
    opacity: calc(1 - var(--swipe-back-displacement-ratio, 0) * 3);
    animation: seed-exit;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: 25%;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 1
}
[data-global-transition-state=enter-done] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS[data-activity-is-top] {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    --seed-enter-translate-x: calc(var(--swipe-back-displacement, 0) * 0.15);
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: calc(1 - var(--swipe-back-displacement-ratio, 0) * 3);
    --seed-enter-scale: 1;
    transform: translate3d(0, 0, 0);
    opacity: 1
}
[data-swipe-back-state=swiping] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#) {
    animation: none;
    transform: translate3d(calc(var(--swipe-back-displacement, 0) * 0.15), 0, 0);
    opacity: calc(1 - var(--swipe-back-displacement-ratio, 0) * 3)
}
[data-swipe-back-state=canceling] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#) {
    animation: none !important;
    transform: translate3d(0, 0, 0);
    opacity: 1;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99)
}
[data-swipe-back-state=completing] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS[data-activity-is-top]:not(#\#) {
    animation: none !important;
    transform: translate3d(25%, 0, 0);
    opacity: 0;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99)
}
[data-global-transition-state=enter-active][data-top-activity-type="full-screen"] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS:not([data-activity-is-top]) {
    transform: translate3d(0, 0, 0);
    opacity: 1;
    animation: seed-exit;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: -25%;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 1
}
[data-global-transition-state=exit-active][data-top-activity-type="full-screen"] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS:not([data-activity-is-top]) {
    animation: seed-enter;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    --seed-enter-translate-x: calc(-25% + var(--swipe-back-displacement, 0) * 0.15);
    --seed-enter-translate-y: 0;
    --seed-enter-opacity: calc(var(--swipe-back-displacement-ratio, 0));
    --seed-enter-scale: 1;
    transform: translate3d(0, 0, 0);
    opacity: 1
}
[data-global-transition-state=enter-done][data-top-activity-type="full-screen"] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS:not([data-activity-is-top]) {
    transform: translate3d(calc(-25% + var(--swipe-back-displacement, 0) * 0.15), 0, 0);
    opacity: calc(var(--swipe-back-displacement-ratio, 0));
    animation: seed-exit;
    animation-timing-function: cubic-bezier(0.2, 0.1, 0.21, 0.99);
    animation-duration: 350ms;
    animation-fill-mode: forwards;
    --seed-exit-translate-x: -25%;
    --seed-exit-translate-y: 0;
    --seed-exit-opacity: 0;
    --seed-exit-scale: 1
}
[data-swipe-back-state=swiping] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS:not([data-activity-is-top]):not(#\#) {
    animation: none;
    transform: translate3d(calc(-25% + var(--swipe-back-displacement, 0) * 0.15), 0, 0);
    opacity: calc(var(--swipe-back-displacement-ratio, 0))
}
[data-swipe-back-state=canceling] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS:not([data-activity-is-top]):not(#\#) {
    animation: none !important;
    transform: translate3d(-25%, 0, 0);
    opacity: 0;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99)
}
[data-swipe-back-state=completing] .seed-app-bar-main__root--transitionStyle_slideFromRightIOS:not([data-activity-is-top]):not(#\#) {
    animation: none !important;
    transform: translate3d(0, 0, 0);
    opacity: 1;
    transition: transform 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99), opacity 350ms cubic-bezier(0.2, 0.1, 0.21, 0.99)
}
.seed-app-bar-main__root--tone_layer {
    color: var(--seed-color-fg-neutral)
}
.seed-app-bar-main__title--tone_layer {
    color: var(--seed-color-fg-neutral)
}
.seed-app-bar-main__subtitle--tone_layer {
    color: var(--seed-color-fg-neutral-muted)
}
.seed-app-bar-main__root--tone_transparent {
    color: var(--seed-color-palette-static-white)
}
.seed-app-bar-main__title--tone_transparent {
    color: var(--seed-color-palette-static-white)
}
.seed-app-bar-main__subtitle--tone_transparent {
    color: var(--seed-color-palette-static-white)
}